import { ChangeDetectorRef, OnInit, Renderer2 } from '@angular/core';
import { ControlContainer, ControlValueAccessor } from '@angular/forms';
import { NgConfigService } from '../../config/ng-config.service';
import { ControlBase } from '../../shared/base/control-base.template';
export declare class NgTextAreaComponent extends ControlBase implements OnInit, ControlValueAccessor {
    private changeDetectorRef;
    rows: number | string;
    cols: number | string;
    length: string | number;
    constructor(changeDetectorRef: ChangeDetectorRef, ngConfig: NgConfigService, renderer2: Renderer2, controlContainer: ControlContainer);
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
