import { INgConfigInput, INgConfigSelect, NgConfig, TypeFields } from '../interfaces/config/ng-config.interface';
export declare class NgConfigService {
    private _config;
    get global(): {
        theme?: import("../interfaces/ng-theme.interface").INgTheme;
        select?: {
            theme?: import("../interfaces/ng-theme.interface").INgTheme;
            icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
            types?: {
                [key: string]: INgConfigSelect;
            };
        };
        textArea?: {
            theme?: import("../interfaces/ng-theme.interface").INgTheme;
            icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
            types?: {
                [key: string]: INgConfigSelect;
            };
        };
        autocomplete?: {
            theme?: import("../interfaces/ng-theme.interface").INgTheme;
            icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
            mask?: import("@douglas-serena/ng-masks").INgIMaskConfig;
            types?: {
                [key: string]: INgConfigSelect;
            };
        };
        input?: {
            theme?: import("../interfaces/ng-theme.interface").INgTheme;
            icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
            currency?: import("@douglas-serena/ng-masks").INgMaskConfig;
            percent?: import("@douglas-serena/ng-masks").INgMaskConfig;
            amount?: import("@douglas-serena/ng-masks").INgMaskConfig;
            mask?: import("@douglas-serena/ng-masks").INgIMaskConfig;
            types?: {
                [key: string]: INgConfigInput;
            };
        };
    };
    get input(): {
        theme?: import("../interfaces/ng-theme.interface").INgTheme;
        icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
        currency?: import("@douglas-serena/ng-masks").INgMaskConfig;
        percent?: import("@douglas-serena/ng-masks").INgMaskConfig;
        amount?: import("@douglas-serena/ng-masks").INgMaskConfig;
        mask?: import("@douglas-serena/ng-masks").INgIMaskConfig;
        types?: {
            [key: string]: INgConfigInput;
        };
    };
    get select(): {
        theme?: import("../interfaces/ng-theme.interface").INgTheme;
        icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
        types?: {
            [key: string]: INgConfigSelect;
        };
    };
    get textarea(): {
        theme?: import("../interfaces/ng-theme.interface").INgTheme;
        icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
        types?: {
            [key: string]: INgConfigSelect;
        };
    };
    get autocomplete(): {
        theme?: import("../interfaces/ng-theme.interface").INgTheme;
        icon?: import("../interfaces/config/ng-icon-config.interface").NgIconPositionsConfig;
        mask?: import("@douglas-serena/ng-masks").INgIMaskConfig;
        types?: {
            [key: string]: INgConfigSelect;
        };
    };
    get config(): NgConfig;
    set config(value: NgConfig);
    types(field: TypeFields): INgConfigSelect | INgConfigInput;
    get typesSelect(): INgConfigSelect;
    get typesInput(): INgConfigInput;
    get typesTextArea(): INgConfigSelect;
    get typesAutocomplete(): INgConfigInput;
}
