import { EventEmitter, OnInit } from '@angular/core';
import { INgIconConfig } from '../../interfaces/config/ng-icon-config.interface';
export declare class NgIconComponent implements OnInit {
    set icon(icon: INgIconConfig);
    className: string;
    type: 'button' | 'submit';
    _icon: INgIconConfig;
    iconClick: EventEmitter<{
        event: Event;
        icon: INgIconConfig;
    }>;
    constructor();
    ngOnInit(): void;
    handleClick(event: Event): void;
}
