import { CdkOverlayOrigin, Overlay } from '@angular/cdk/overlay';
import { ElementRef, EventEmitter, OnInit } from '@angular/core';
export declare class NgSelectDropdownComponent implements OnInit {
    private overlay;
    listRef: ElementRef<HTMLUListElement>;
    selectEmpty: EventEmitter<any>;
    select: EventEmitter<any>;
    trigger: CdkOverlayOrigin;
    set options(options: {
        _label: string;
        _value: any;
        _root: any;
    }[]);
    _options: {
        _label: string;
        _value: any;
        _root: any;
    }[];
    _indexSelect: number;
    _triggerRect: ClientRect;
    _isOpen: boolean;
    keyMaps: {
        Enter: () => void;
        ArrowDown: () => void;
        ArrowUp: () => void;
    };
    constructor(overlay: Overlay);
    debouceBlur: any;
    ngOnInit(): void;
    handleResize(): void;
    handleKey(event: KeyboardEvent): void;
    handleArrowUp(): void;
    handleArrowDown(): void;
    handleSelect(index?: number): void;
    handleScrollInto(block?: ScrollLogicalPosition): void;
    handleOpen(): void;
    handleClose(): void;
    overlayUpdate(event?: any): void;
}
